<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile nt-tab-head">
    <div class="m-portlet__body nt-tab-head-body">
      <div class="m-widget5 nt-customer-tab-head">
        <div class="m-widget5__item m-0 p-0 border-bottom-0 d-inline-block nt-tab-head-item">
          <div class="m-widget5__content nt-tab-head-item-content">
            <div class="s--avatar-upload m-widget5__pic d-inline-block nt-avatar-upload">
              <div class="s--avatar-preview nt-avatar-preview">
                <template v-if="loadAvatar">
                  <div
                    class="m-loader m-loader--brand m-loader--lg"
                    style="width: 30px; height: 30px; display: inline-block; position:absolute; top:50%; left: 50%; transform: translate(-50%, -50%)"
                  ></div>
                </template>
                <template v-else>
                  <template
                    v-if="customerAvatar !== '' || (detailCustomerAvatar && Object.keys(detailCustomerAvatar).length > 0)"
                  >
                    <div id="nt_image_preview">
                      <div class="nt-image-preview">
                        <template v-if="customerAvatar !== ''">
                          <authenticate-image
                            :image_url="customerAvatar"
                            :image_id="'nt_image_preview'"
                          ></authenticate-image>
                        </template>
                        <template v-else-if="detailCustomerAvatar && customerAvatar == ''">
                          <authenticate-image
                            :image_url="detailCustomerAvatar.path_on_server"
                            :image_id="'nt_image_preview'"
                          ></authenticate-image>
                        </template>
                      </div>
                    </div>
                  </template>

                  <template v-else>
                    <template>
                      <div
                        v-if="helpers.getAttributeOption(helpers.getAttributeByAttrCode(detailCustomer, 'gender'), helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'gender', 'attribute_value'), 'option_value') == 'Nam'"
                        class="nt-image-preview 1"
                        :style="{ 'background-image': 'url(' + require('@/assets/imgs/boy.png') + ')' }"
                      ></div>
                      <div
                        v-else-if="helpers.getAttributeOption(helpers.getAttributeByAttrCode(detailCustomer, 'gender'), helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'gender', 'attribute_value'), 'option_value') == 'Nữ'"
                        class="nt-image-preview 2"
                        :style="{ 'background-image': 'url(' + require('@/assets/imgs/girl.png') + ')' }"
                      ></div>
                      <div
                        v-else-if="helpers.getAttributeOption(helpers.getAttributeByAttrCode(detailCustomer, 'gender'), helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'gender', 'attribute_value'), 'option_value') == 'Khác'"
                        class="nt-image-preview 3"
                        :style="{ 'background-image': 'url(' + require('@/assets/imgs/users.png') + ')' }"
                      ></div>
                      <div
                        v-else
                        class="nt-image-preview 4"
                        :style="{ 'background-image': 'url(' + require('@/assets/imgs/user.png') + ')' }"
                      ></div>
                    </template>
                  </template>
                </template>
              </div>
              <div
                class="nt-avatar-upload-file"
                v-if="!detailCustomer.deleted_at && accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_BASE, userCurrentPermissions)"
              >
                <label
                  data-toggle="modal"
                  :data-target="'#' + media_popup_id"
                  @click="showPopupAvatar()"
                >
                  <i class="icon icon-photo-camera"></i>
                </label>
                <input
                  type="file"
                  accept=".png, .jpg, .jpeg, .gif"
                  style="display:none;"
                  ref="add_file"
                  name="add_file"
                  v-validate="{size: 10240, mimes: mimesAllowed }"
                  data-vv-scope="add_file_scope"
                  id="uploadAvatarInput"
                  @change="handleFileUpload('add_file_scope')"
                  onclick="this.value = null"
                />
              </div>
            </div>

            <div
              class="s-widget__content-right m-widget5__section d-inline-block pl-0 nt-tab-head-main"
            >
              <!-- Tab head -->
              <div class="nt-tab-head-list-item">
                <div :key="index" v-for="(attribute, index) in tabHeadAttributeCustomerInfo">
                  <div
                    class="nt-tab-head-item form-group m-form__group"
                    :class="{
                      'has-danger': errors.has(scope + '.' + attribute.attribute_code) || server_errors[attribute.attribute_code],
                      'nt-details-customer-no-update': detailCustomer.deleted_at || 
                      attribute.type_update === 1 && !accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_BASE, userCurrentPermissions),
                      'nt-tab-head-item-full-name': attribute.attribute_code === 'full_name',
                      'nt-tab-head-item-phone': attribute.attribute_code === 'phone',
                      'nt-tab-head-item-address': attribute.attribute_code === 'address',
                      'nt-tab-head-item-gender': attribute.attribute_code === 'gender',
                      'nt-tab-head-item-email': attribute.attribute_code === 'email',
                      'nt-tab-head-item-birthday-set-to-date': attribute.attribute_code === 'birthday_set_to_date',
                    }"
                  >
                    <label
                      class="nt-tab-head-item-label form-control-label"
                      v-if="attribute.attribute_code !== 'full_name'"
                    >
                      <i class="icon icon-phone-call" v-if="attribute.attribute_code === 'phone'"></i>
                      <i class="icon icon-email" v-if="attribute.attribute_code === 'email'"></i>
                      <i class="icon icon-pin-1" v-if="attribute.attribute_code === 'address'"></i>
                      <i
                        class="icon icon-heterosexual"
                        v-if="attribute.attribute_code === 'gender'"
                      ></i>
                      <i
                        class="icon icon-birthday-cake"
                        v-if="attribute.attribute_code === 'birthday_set_to_date'"
                      ></i>
                      {{ attribute.attribute_name }}:
                    </label>

                    <div class="nt-tab-head-item-value">
                      <template
                        v-if="attribute.attribute_code === 'full_name' || attribute.attribute_code === 'address'"
                      >
                        <template
                          v-if="!detailCustomer.deleted_at && editAttributes[attribute.attribute_code]"
                        >
                          <input
                            class="form-control nt-form-control-sm"
                            :data-vv-scope="scope"
                            v-model="attribute.attribute_value"
                            v-validate="{ required: attribute.is_required ? true : false, max: 250 }"
                            :id="attribute.attribute_code"
                            :name="attribute.attribute_code"
                            @keyup="changeDataInputType(attribute, $event)"
                            @blur="hideUpdate(attribute)"
                          />
                        </template>
                        <template v-else>
                          <div
                            class="nt-details form-control nt-form-control-sm"
                            :class="{'nt-details-name': attribute.attribute_code === 'full_name'}"
                            @click="showUpdate(attribute)"
                          >
                            <span v-if="attribute.attribute_value">{{ attribute.attribute_value }}</span>
                            <span v-else class="not-value">Chưa cập nhật</span>
                            <span class="input-icon">
                              <i class="icon icon-edit"></i>
                            </span>
                            <span
                              v-if="attribute.attribute_code === 'full_name' && detailCustomer.deleted_at"
                              class="m-badge m-badge--wide"
                              style="background-color: #B82E45; color: #fff; margin-left: 5px;"
                            >&nbsp;Xóa tạm</span>
                          </div>
                        </template>
                      </template>

                      <template v-if="attribute.attribute_code === 'phone'">
                        <template
                          v-if="!detailCustomer.deleted_at && editAttributes[attribute.attribute_code]"
                        >
                          <input
                            class="form-control nt-form-control-sm"
                            :data-vv-scope="scope"
                            v-model="attribute.attribute_value"
                            v-validate="{ required: attribute.is_required ? true : false, regex: helpers.regexPhone() }"
                            v-mask="'#### ### #####'"
                            :id="attribute.attribute_code"
                            :name="attribute.attribute_code"
                            @keyup="changeDataInputType(attribute, $event)"
                            @blur="hideUpdate(attribute)"
                          />
                        </template>
                        <template v-else>
                          <div class="nt-details form-control nt-form-control-sm" @click="showUpdate(attribute)">
                            <span
                              v-if="attribute.attribute_value"
                            >{{ attribute.attribute_value | formatPhone }}</span>
                            <span v-else class="not-value">Chưa cập nhật</span>
                            <span class="input-icon">
                              <i class="icon icon-edit"></i>
                            </span>
                          </div>
                        </template>
                      </template>

                      <template v-if="attribute.attribute_code === 'email'">
                        <template
                          v-if="!detailCustomer.deleted_at && editAttributes[attribute.attribute_code]"
                        >
                          <input
                            class="form-control nt-form-control-sm"
                            :data-vv-scope="scope"
                            v-model="attribute.attribute_value"
                            v-validate="{ required: attribute.is_required ? true : false, regex: helpers.regexEmail(), max: 250 }"
                            :id="attribute.attribute_code"
                            :name="attribute.attribute_code"
                            @keyup="changeDataInputType(attribute, $event)"
                            @blur="hideUpdate(attribute)"
                          />
                        </template>
                        <template v-else>
                          <div class="nt-details form-control nt-form-control-sm" @click="showUpdate(attribute)">
                            <span v-if="attribute.attribute_value">{{ attribute.attribute_value }}</span>
                            <span v-else class="not-value">Chưa cập nhật</span>
                            <span class="input-icon">
                              <i class="icon icon-edit"></i>
                            </span>
                          </div>
                        </template>
                      </template>

                      <template v-if="attribute.attribute_code === 'gender'">
                        <template
                          v-if="!detailCustomer.deleted_at && editAttributes[attribute.attribute_code]"
                        >
                          <s-select
                            :data-vv-scope="scope"
                            v-model="attribute.attribute_value"
                            v-validate="{ required: attribute.is_required ? true : false }"
                            :id="attribute.attribute_code"
                            :name="attribute.attribute_code"
                            :data="attribute.attribute_options"
                            :label="'option_value'"
                            @change="changeDataInputType(attribute)"
                            @blur="hideUpdate(attribute)"
                            class="nt-form-control-sm"
                          ></s-select>
                        </template>
                        <template v-else>
                          <div class="nt-details form-control nt-form-control-sm" @click="showUpdate(attribute)">
                            <span
                              v-if="attribute.attribute_value"
                            >{{ helpers.getAttributeOption(attribute, attribute.attribute_value, 'option_value') }}</span>
                            <span v-else class="not-value">Chưa cập nhật</span>
                            <span class="input-icon">
                              <i class="icon icon-edit"></i>
                            </span>
                          </div>
                        </template>
                      </template>

                      <template v-if="attribute.attribute_code === 'birthday_set_to_date'">
                        <template
                          v-if="!detailCustomer.deleted_at && editAttributes[attribute.attribute_code]"
                        >
                          <s-input-date
                            :data-vv-scope="scope"
                            v-model="attribute.attribute_value"
                            v-validate="{ required: attribute.is_required ? true : false }"
                            :id="attribute.attribute_code"
                            :name="attribute.attribute_code"
                            @change="changeDataInputType(attribute)"
                            class="nt-form-control-sm"
                          ></s-input-date>
                        </template>
                        <template v-else>
                          <div class="nt-details form-control nt-form-control-sm" @click="showUpdate(attribute)">
                            <span
                              v-if="attribute.attribute_value"
                            >{{ attribute.attribute_value | formatDateTime }}</span>
                            <span v-else class="not-value">Chưa cập nhật</span>
                            <span class="input-icon">
                              <i class="icon icon-edit"></i>
                            </span>
                          </div>
                        </template>
                      </template>
                    </div>
                  </div>

                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="server_errors != '' && server_errors[attribute.attribute_code]"
                  >
                    <template
                      v-if="server_errors[attribute.attribute_code][0].is_unique"
                    >{{ attribute.attribute_name }} bị trùng.</template>
                    <template
                      v-else-if="server_errors[attribute.attribute_code][0].is_required"
                    >Không được để trống trường này.</template>
                    <template
                      v-else-if="server_errors[attribute.attribute_code].not_exist"
                    >{{ attribute.attribute_name }} đã bị xóa, vui lòng tải lại trang.</template>
                    <template v-else>{{ server_errors[attribute.attribute_code][0] }}</template>
                  </div>

                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="errors.has(scope + '.' + attribute.attribute_code)"
                  >
                    <div v-for="(error, indexA) in errors.items" :key="indexA">
                      <template v-if="errors.items.length > 0">
                        <template
                          v-if="attribute.attribute_code == error.field && error.rule == 'required'"
                        >Không được để trống trường này.</template>
                        <template
                          v-if="attribute.attribute_code == error.field && error.rule == 'max'"
                        >
                          <template v-if=" attribute.data_type.id == isPrice">Giới hạn 20 ký tự.</template>
                          <template
                            v-else-if=" attribute.data_type.id == isTextArea"
                          >Giới hạn 1025 ký tự.</template>
                          <template v-else>Giới hạn 250 ký tự.</template>
                        </template>

                        <template
                          v-if="attribute.attribute_code == error.field && error.rule == 'regex'"
                        >
                          Định dạng
                          <span class="text-lowercase">{{ attribute.attribute_name }}</span> không đúng.
                        </template>

                        <template
                          v-if="attribute.attribute_code == error.field && error.rule == 'numeric'"
                        >Giá chỉ được điền số >= 0.</template>
                      </template>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Liên hệ chính -->
              <div class="m-widget5__desc nt-tab-head-extra" style="display: inline-block">
                <i class="icon icon-favorites nt-tab-head-extra-icon"></i>
                <span class="nt-tab-head-extra-label">Liên hệ chính:</span>
                <span class="nt-tab-head-extra-content" v-if="mainContact">
                  <template v-if="mainContact.customer_id">
                    <a class="nt-link" :href="customerLinkDetail">{{ mainContact.full_name }}</a>
                  </template>
                  <template v-else>
                    <span>{{ mainContact.full_name }}</span>
                  </template>
                  <span style="padding-left: 10px; font-weight: 400;">
                    <template
                      v-if="mainContact.phone && mainContact.email"
                    >( {{ mainContact.phone | formatPhone }} | {{ mainContact.email }} )</template>
                    <template
                      v-else-if="mainContact.phone"
                    >( {{ mainContact.phone | formatPhone }} )</template>
                    <template v-else-if="mainContact.email">( {{ mainContact.email }} )</template>
                  </span>
                </span>
                <span v-else class="nt-tab-head-extra-not-value">Chưa cập nhật</span>
              </div>
              <!-- <div class="m-widget5__desc nt-tab-head-extra" v-if="accessible( userCheckAddOn, 'education', null, []) && isShowActionCreateAccountEdu">
                                <i class="icon icon-mobile nt-tab-head-extra-icon"></i>
                                <span class="nt-tab-head-extra-label">Tài khoản Edu Online:</span>

                                <template v-if="isLoadingEduOnline">
                                    <div class="m-loader m-loader--brand m-loader--lg"
                                         style="width: 30px; height: 15px; display: inline-block; margin-right: 20px">
                                    </div>
                                </template>
                                <template v-else>
                                    <template v-if="accountEduOnline.is_account">
                                     <span class="nt-tab-head-extra-content">
                                        {{ accountEduOnline.user_education.username }}
                                    </span>
                                        <template v-if="accountEduOnline.status === 1">
                                          <span class="nt-label-status nt-label-blocked">
                                            <span>Tạm ngừng hoạt động</span>
                                        </span>
                                        </template>
                                        <template v-else>
                                            <template v-if="accountEduOnline.first_login === 0">
                                             <span class="nt-label-status nt-label-using">
                                              <span>Đang sử dụng</span>
                                            </span>
                                            </template>
                                            <template v-else>
                                            <span class="nt-label-status nt-label-is-active">
                                                <span>Chờ kích hoạt</span>
                                            </span>
                                            </template>
                                        </template>
                                    </template>
                                    <template v-else>
                                            <span
                                                class="nt-label-status nt-label-create-account"
                                                @click="createNewAcoountForStudent()"
                                            >
                                            <span>Tạo tài khoản Edu Online</span>
                                    </span>



                                    </template>
                                </template>
              </div>-->
            </div>
          </div>
          <div class="m-widget5__content nt-tab-head-item-content-right" style="float: left;">
            <div
              v-if="isLoaderTabRight"
              class="m-loader m-loader--brand m-loader--lg"
              style="width: 30px; height: 30px; display: inline-block; float: right;"
            ></div>
            <div class="text-right" v-else>
              <div class="text-right">
                <div style="margin-bottom: 10px;">
                  <label class="nt-label" style="margin-bottom: 5px;">Tổng doanh số</label>
                  <h3
                    class="nt-color-primary"
                    style="font-size: 24px; margin-bottom: 0;"
                    v-if="helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'total_price_when_buyer', 'attribute_value')"
                  >{{ helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'total_price_when_buyer', 'attribute_value') | formatNumberPrice }}</h3>
                  <h3 class="nt-color-primary" style="font-size: 24px; margin-bottom: 0;" v-else>0</h3>
                  <div style="font-size: 14px; color: #444F78;">
                    (
                    {{ countDealCustomerBuy }} giao dịch)
                  </div>
                </div>
                <div>
                  <label class="nt-label" style="margin-bottom: 5px;">Số tiền còn phải thanh toán</label>
                  <h3
                    class="nt-color-primary"
                    style="font-size: 24px;margin-bottom: 0;"
                  >{{ helpers.formatPrice(helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'total_price_when_buyer', 'attribute_value') - helpers.getAttributeByAttrCodeAndVariableName(detailCustomer, 'total_payment_amount', 'attribute_value')) }}</h3>
                  <div
                    style="font-size: 14px; color: #444F78;"
                  >({{ countDealTransactionNotSuccessCustomerBuy }} giao dịch)</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row" v-if="detailCustomer.levels && detailCustomer.levels.length > 0">
      <div class="col-md-12">
        <div style="background-color: #F9FAFC;">
          <div class="position-relative d-inline-block w-100" style="padding: 0 20px;">
            <div class="s--progress-bar__slider nt-scroll-primary">
              <div class="m-wizard m-wizard--2 m-wizard--success m-wizard--step-first">
                <div class="m-wizard__head m-portlet__padding-x">
                  <div class="m-wizard__nav">
                    <div class="m-wizard__steps">
                      <div
                        class="m-wizard__step"
                        v-for="(item, index) in  detailCustomer.levels"
                        :key="index"
                        :class="{'m-wizard__step--active' : item.level == detailCustomer.currentLevel.level, 'm-wizard__step--done' : item.level <= detailCustomer.currentLevel.level, 'm-wizard__step-one': detailCustomer.levels.length == 1 }"
                      >
                        <template
                          v-if="detailCustomer.deleted_at || !accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_BASE, userCurrentPermissions)"
                        >
                          <span
                            class="m-wizard__step-number"
                            v-if="item.id == detailCustomer.currentLevel.id"
                          >
                            <span>
                              <i class="la la-check"></i>
                            </span>
                          </span>
                          <span class="m-wizard__step-number" v-else>
                            <span></span>
                          </span>
                        </template>
                        <template v-else>
                          <span
                            class="m-wizard__step-number"
                            v-if="item.id == detailCustomer.currentLevel.id"
                          >
                            <span>
                              <i class="la la-check"></i>
                            </span>
                          </span>

                          <a
                            v-else
                            href="#"
                            class="m-wizard__step-number"
                            data-toggle="modal"
                            :data-target="'#change_level'"
                            @click.prevent="modalChangeLevel(index)"
                          >
                            <span>
                              <!--<i class="la la-check"></i>-->
                            </span>
                          </a>
                        </template>

                        <div class="m-wizard__step-info">
                          <div class="m-wizard__step-title">{{ item.option_value | truncateWords }}</div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="s--progress-bar__slider-navigation">
              <a href="javascript:;" class="next">
                <i class="la la-angle-right"></i>
              </a>
              <a href="javascript:;" class="prev">
                <i class="la la-angle-left"></i>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      :id="'change_level'"
      v-if="detailCustomer.levels && detailCustomer.levels.length > 0"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div
                class="nt--modal-confirm-choice-content-title-top"
                v-if="detailCustomer.currentLevel && detailCustomer.currentLevel.option_value.length > 0"
              >
                Chuyển cấp độ "
                <span
                  class="nt-color-warning"
                >{{ detailCustomer.currentLevel.option_value | truncateWords }}</span>"
                thành "
                <span class="nt-color-warning">
                  {{
                  detailCustomer.levels[selectItemIndex].option_value | truncateWords }}
                </span>"
              </div>
              <div class="nt--modal-confirm-choice-content-title-top" v-else>
                Chuyển cấp độ ""
                thành "
                <span class="nt-color-warning">
                  {{
                  detailCustomer.levels[selectItemIndex].option_value | truncateWords }}
                </span>"
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button
              class="nt-button nt-button-secondary mr-2"
              data-dismiss="modal"
              aria-label="Close"
            >Hủy bỏ</button>
            <button
              class="nt-button nt-button-warning mr-0"
              @click.prevent="changeLevel(detailCustomer.levels[selectItemIndex])"
              data-dismiss="modal"
              aria-label="Close"
            >Tiếp tục</button>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      id="warning_upload_avatar"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div
                class="nt--modal-confirm-choice-content-title-top"
              >Không thể cập nhật ảnh đại diện.</div>
              <div
                class="nt--modal-confirm-choice-content-title-bottom"
                v-if="errors.has('add_file_scope.add_file')"
              >{{ errors.first('add_file_scope.add_file') }}</div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              class="nt-button nt-button-warning mr-0"
              @click="closeModalWarningUploadAvatar()"
              data-dismiss="modal"
              aria-label="Close"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      id="updateLevelConfirmInfo"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">Không thể chuyển đổi cấp độ.</div>
              <div
                class="nt--modal-confirm-choice-content-title-bottom"
              >Cấp độ đã bị xóa, bạn vui lòng tải lại trang.</div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              class="nt-button nt-button-warning mr-0"
              @click="reloadPage()"
              data-dismiss="modal"
              aria-label="Close"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>

    <CreateAccountCoponent
      :is_created_multiple="isCreatedMultiple"
      :student_name="studentName"
      :selected_ids="selectedIds"
      @is_change="isChangeStatusCreateNewStudent"
      :is_create_by_detail_customer="isCreateByDetailCustomer"
    ></CreateAccountCoponent>

    <CreateAccountErrorComponent></CreateAccountErrorComponent>

    <div
      id="back-drop-loading"
      v-if="updateLoading"
      style="position: absolute;
            top: 0px;
            left: 10px;
            width: calc(100% - 20px);
            height: calc(100% - 20px);
            background: #ffffffbf;
            z-index: 12;"
    >
      <div
        class="m-loader m-loader--brand m-loader--lg"
        style="width: 30px; height: 30px; display: inline-block; position:absolute; top:50%; left: 50%; transform: translate(-50%, -50%)"
      ></div>
    </div>
  </div>
</template>
